(function(paw, _super){

    paw.lang.extend(IdentSearchStockTable, _super);
    function IdentSearchStockTable(){
        _super.call(this, {
            url: "/IdentSearch/FindStock",
            tableSelector: '.ident-search-table-stock',
            columns: [
                { "data": "Warehouse" },
                { "data": "Stock" },
                { "data": "Reserved" },
                { "data": "Remains" }
            ]
        });

        this.ident = null;
    }

    IdentSearchStockTable.prototype.request = function(params){
        params.Ident = this.ident;
        return params;
    };

    IdentSearchStockTable.prototype.setIdent = function(ident){
        this.ident = ident;
        return this; // for chaining
    };

    paw.com.identSearch.IdentSearchStockTable = IdentSearchStockTable;
})(paw, paw.com.identSearch.IdentSearchTable);